Author Topic: Can't install P3D5 sceneries  (Read 279 times)

james008

  • Newbie
  • *
  • Posts: 22
Can't install P3D5 sceneries
« on: May 20, 2022, 02:25:11 pm »
Hi,

When I try to install my P3D sceneries into v5 via FSDT Universal Installer, I get an error message saying "Install is not available yet for FSX/P3D products, please use the standard installer which is always freely available on the FSDT Products Page".

When visiting the page, I can only find installers for Basel, O'Hare v2 and GSX (1 and 2), not for the others. And there is an opposite message: "Use the FSDT Universal Installer to manage the installation and licensing of all your FSDT products a simple to use application".

Please, let me know how can I stall my P3D5 sceneries nowadays.

Regards,

Marcelo Monteiro

virtuali

  • Administrator
  • Hero Member
  • *****
  • Posts: 43171
    • VIRTUALI Sagl
Re: Can't install P3D5 sceneries
« Reply #1 on: May 21, 2022, 10:04:26 am »
When visiting the page, I can only find installers for Basel, O'Hare v2 and GSX (1 and 2), not for the others.  And there is an opposite message: "Use the FSDT Universal Installer to manage the installation and licensing of all your FSDT products a simple to use application".

You noticed the message about the Universal installer on P3D products page, but not to the one on the bottom of the same page, under the IMPORTANT heading:

Quote
IMPORTANT

This page indicates only those products that have a P3D4/5 Native version and don't work in FSX or older version of P3D ( 1, 2 and 3 ). On the FSX Products page, you'll find many other products that were originally made for FSX, but the installer supports all P3D versions, including P3D V5.x

Can't be more clear than that. The reason why we haven't placed the "other" products in the P3D page, is a matter of honestly representing products for what they really are: something which was made for FSX, but can be installed and WORKS in P3D, including V5.

james008

  • Newbie
  • *
  • Posts: 22
Re: Can't install P3D5 sceneries
« Reply #2 on: May 23, 2022, 12:15:31 am »
Thanks for the clarification.

Honestly, I haven't found this way friendly, specially in the present days, in which time is becoming a rare article and everybody desires to find things more easily and more rapdly in every place.

IMHO, if I had previously selected P3D v5 on the Products page in respond to the command "choose your simulator", I think I should be conducted to a final page in which I must find all P3D v5 compatible sceneries, no matter if split in topics like "P3D native sceneries" and "FSX native sceneries compatible with P3D". This method that requires reading to important, but small, note placed in the page footer that brings us to one more different page (that one that we - P3D users - just have a chance to access directly responding wrongly to the command in the previous page) looks like much more and unnecessary legal stuff then a easy and friendly environment.

Thanks anyway for your attention.

Marcelo Monteiro

virtuali

  • Administrator
  • Hero Member
  • *****
  • Posts: 43171
    • VIRTUALI Sagl
Re: Can't install P3D5 sceneries
« Reply #3 on: May 23, 2022, 11:14:41 am »
IMHO, if I had previously selected P3D v5 on the Products page in respond to the command "choose your simulator", I think I should be conducted to a final page in which I must find all P3D v5 compatible sceneries, no matter if split in topics like "P3D native sceneries" and "FSX native sceneries compatible with P3D".

You mean you want to go to an extra step of an additional page, just because you didn't read the IMPORTANT note on the page which contained the proper P3D products ? I'm not sure if that would be more "friendly".

We might just make the IMPORTANTE note more visible, but I don't think it's right forcing everybody to an extra click and and extra page, just because somebody might miss the IMPORTANT note, that is labeled as such for a reason.